Bug 1409228 - System freeze when logging out and switching TTY
Summary: System freeze when logging out and switching TTY
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-server
Version: 25
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-12-30 13:24 UTC by Kadir
Modified: 2017-12-12 10:20 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:20:47 UTC
Type: Bug


Attachments (Terms of Use)

Description Kadir 2016-12-30 13:24:17 UTC
Description of problem:

Complete system freeze when logging out of Gnome or switching TTY with Ctrl+Alt+F1/F3 etc.

Version-Release number of selected component (if applicable):


How reproducible:

It happens almost always when the system has been up for more than a couple of hours.

Steps to Reproduce:
1. Log out of Gnome or switch to GDM with Ctrl+Alt+F1
2.
3.

Actual results:


Expected results:
No system freeze

Additional info:

It looks like the same bug from:

https://bugs.freedesktop.org/show_bug.cgi?id=96781#c22
https://bugs.freedesktop.org/show_bug.cgi?id=97529#c34

journalctl --since=today
has the following:

---cut---
Dec 30 13:52:15 latitude-e6320 /usr/libexec/gdm-x-session[936]: (II) AIGLX: Resuming AIGLX clients after VT switch
Dec 30 13:52:15 latitude-e6320 /usr/libexec/gdm-x-session[936]: (II) intel(0): switch to mode 1366x768@60.0 on LVDS1 using pipe 0, position (0, 0), rotation normal, refle
Dec 30 13:52:18 latitude-e6320 audit[1]: SERVICE_STOP pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=NetworkManager-dispatcher comm
Dec 30 13:52:25 latitude-e6320 kernel: [drm:drm_atomic_helper_commit_cleanup_done [drm_kms_helper]] *ERROR* [CRTC:26:pipe A] flip_done timed out
Dec 30 13:52:25 latitude-e6320 kernel: ------------[ cut here ]------------
Dec 30 13:52:25 latitude-e6320 kernel: WARNING: CPU: 2 PID: 938 at drivers/gpu/drm/i915/intel_display.c:13712 intel_atomic_commit_tail+0x1043/0x1050 [i915]
Dec 30 13:52:25 latitude-e6320 kernel: pipe A vblank wait timed out
Dec 30 13:52:25 latitude-e6320 kernel: Modules linked in: ccm ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ip_set nfnetlink ebtable_nat ebtable_broute bridge stp
Dec 30 13:52:25 latitude-e6320 kernel:  intel_cstate intel_uncore snd_hda_codec cfg80211 intel_rapl_perf snd_hda_core snd_hwdep snd_seq snd_seq_device snd_pcm joydev i2c_
Dec 30 13:52:25 latitude-e6320 kernel: CPU: 2 PID: 938 Comm: Xorg Not tainted 4.8.15-300.fc25.x86_64 #1
Dec 30 13:52:25 latitude-e6320 kernel: Hardware name: Dell Inc. Latitude E6320/09PHH9, BIOS A19 11/14/2013
Dec 30 13:52:25 latitude-e6320 kernel:  0000000000000286 0000000005af1142 ffff8f7e56177a60 ffffffff8a3e5e1d
Dec 30 13:52:25 latitude-e6320 kernel:  ffff8f7e56177ab0 0000000000000000 ffff8f7e56177aa0 ffffffff8a0a0e8b
Dec 30 13:52:25 latitude-e6320 kernel:  000035905a6fb740 0000000000000000 0000000000000000 ffff8f7e5bbd0000
Dec 30 13:52:25 latitude-e6320 kernel: Call Trace:
Dec 30 13:52:25 latitude-e6320 kernel:  [<ffffffff8a3e5e1d>] dump_stack+0x63/0x86
Dec 30 13:52:25 latitude-e6320 kernel:  [<ffffffff8a0a0e8b>] __warn+0xcb/0xf0
Dec 30 13:52:25 latitude-e6320 kernel:  [<ffffffff8a0a0f0f>] warn_slowpath_fmt+0x5f/0x80
Dec 30 13:52:25 latitude-e6320 kernel:  [<ffffffff8a0e4b13>] ? finish_wait+0x53/0x70
Dec 30 13:52:25 latitude-e6320 kernel:  [<ffffffffc0551d83>] intel_atomic_commit_tail+0x1043/0x1050 [i915]
Dec 30 13:52:25 latitude-e6320 kernel:  [<ffffffff8a0e4d70>] ? prepare_to_wait_event+0xf0/0xf0
Dec 30 13:52:25 latitude-e6320 kernel:  [<ffffffffc05521ce>] intel_atomic_commit+0x43e/0x550 [i915]
Dec 30 13:52:25 latitude-e6320 kernel:  [<ffffffffc01630d7>] ? drm_atomic_check_only+0x187/0x610 [drm]
Dec 30 13:52:25 latitude-e6320 kernel:  [<ffffffffc0163c07>] ? drm_atomic_set_crtc_for_connector+0x97/0x100 [drm]
Dec 30 13:52:25 latitude-e6320 kernel:  [<ffffffffc0163597>] drm_atomic_commit+0x37/0x60 [drm]
Dec 30 13:52:25 latitude-e6320 kernel:  [<ffffffffc01f2c0d>] drm_atomic_helper_set_config+0x7d/0xb0 [drm_kms_helper]
Dec 30 13:52:25 latitude-e6320 kernel:  [<ffffffffc0151c15>] drm_mode_set_config_internal+0x65/0x110 [drm]
Dec 30 13:52:25 latitude-e6320 kernel:  [<ffffffffc0156915>] drm_mode_setcrtc+0x455/0x580 [drm]
Dec 30 13:52:25 latitude-e6320 kernel:  [<ffffffffc0148fa0>] drm_ioctl+0x200/0x4f0 [drm]
Dec 30 13:52:25 latitude-e6320 kernel:  [<ffffffffc01564c0>] ? drm_mode_setplane+0x1d0/0x1d0 [drm]
Dec 30 13:52:25 latitude-e6320 kernel:  [<ffffffff8a264cc3>] do_vfs_ioctl+0xa3/0x5f0
Dec 30 13:52:25 latitude-e6320 kernel:  [<ffffffff8a265289>] SyS_ioctl+0x79/0x90
Dec 30 13:52:25 latitude-e6320 kernel:  [<ffffffff8a803b72>] entry_SYSCALL_64_fastpath+0x1a/0xa4
Dec 30 13:52:25 latitude-e6320 kernel: ---[ end trace 7e87e61470aaf81c ]---
Dec 30 13:52:35 latitude-e6320 kernel: [drm:drm_atomic_helper_commit_cleanup_done [drm_kms_helper]] *ERROR* [CRTC:26:pipe A] flip_done timed out
Dec 30 13:52:46 latitude-e6320 kernel: [drm:drm_atomic_helper_commit_cleanup_done [drm_kms_helper]] *ERROR* [CRTC:26:pipe A] flip_done timed out
Dec 30 13:52:56 latitude-e6320 kernel: [drm:drm_atomic_helper_commit_cleanup_done [drm_kms_helper]] *ERROR* [CRTC:26:pipe A] flip_done timed out
---cut---

Comment 1 Fedora End Of Life 2017-11-16 19:06:44 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2017-12-12 10:20:47 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.